##### basic_serial_port::basic_serial_port (10 of 10 overloads)

Move-construct a `basic_serial_port` from a serial port of another executor type.

    template<
        typename Executor1>
    basic_serial_port(
        basic_serial_port< Executor1 > && other,
        typename constraint< is_convertible< Executor1, Executor >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor moves a serial port from one object to another.

###### Parameters

other

  The other `basic_serial_port` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_serial_port(const executor_type&)` constructor.